const webpack = require('webpack')
const fs = require('fs')

const buildConfig = require('./config.js')
const generatePage = require('./generate-page.js')

webpack(buildConfig.webpack, () => {
  fs.writeFileSync(
    './index/index.html',
    generatePage()
  )
  ;[
    'style.css',
    'favicon.png',
    'favicon.ico'
  ].forEach(file =>
    fs.createReadStream(`./src/${file}`).pipe(fs.createWriteStream(`./index/${file}`))
  )
})
